# LiuAlgoTrader
[![Build Status](https://travis-ci.org/amor71/LiuAlgoTrader.svg?branch=master)](https://travis-ci.org/amor71/LiuAlgoTrader)
![PyPI - Python Version](https://img.shields.io/pypi/pyversions/liualgotrader)
[![Python 3](https://pyup.io/repos/github/amor71/LiuAlgoTrader/python-3-shield.svg)](https://pyup.io/repos/github/amor71/LiuAlgoTrader/)
[![Updates](https://pyup.io/repos/github/amor71/LiuAlgoTrader/shield.svg)](https://pyup.io/repos/github/amor71/LiuAlgoTrader/)
[![Documentation Status](https://readthedocs.org/projects/liualgotrader/badge/?version=latest)](https://liualgotrader.readthedocs.io/en/latest/?badge=latest)

## Introduction

**LiuAlgoTrader** is a Pythonic all-batteries-included framework
for effective algorithmic trading. The framework is
intended to simplify development, testing,
deployment and evaluating algo trading strategies.

LiuAlgoTrader can run on a Macbook laptop and 
*hedge-on-the-go*, or run on a multi-core hosted Linux server 
and it will optimize for best performance for either. 

LiuAlgoTrader is Work-In-Progress, however it is a fully
functional and powerful framework that may be used almost out-of-the-box.
Assistance in development is highly appreciated,
as well as comments and suggestions. Please check the
Contribution section for further details.

## See The Framework in Action

LiuAlgoTrader comes equipped with powerful & user-friendly back-testing tool. 

[Watch a $4,000 daily profit](https://youtu.be/rVwFCbHsbIY)  back-testing session using LiuAlgoTrader out-of-the-box strategies.


## Quickstart

### Prerequisite

- Paper, and preferable a funded Live account with [Alpaca Markets](https://alpaca.markets/docs/about-us/).
- Installed [Docker Engine](https://docs.docker.com/engine/install/) and [Docker Compose](https://docs.docker.com/compose/install/)
### Install & Configure

**Step 1**: 
To install LiuAlgoTrader just type: 

`pip install liualgotrader`
 
**Step 2**: To configure the frame work type:

`liu quickstart` 

and follow the installation wizard instructions.

### Try the samples

LiuAlgoTrader `quickstart` wizard installs samples allowing a first-time experience of the framework. Follow the post-installation instructions, and try to back-test a specific day.   

Additional samples can we found in the [examples](examples) directory. 

## Documentation

Is available [here](https://liualgotrader.readthedocs.io/en/latest/).


## Contributing


Would you like to help improve & evolve LiuAlgoTrader? 
Do you have a suggestion, comment, idea for improvement or 
a have a wish-list item? Please read our
[Contribution Document](https://github.com/amor71/LiuAlgoTrader/blob/master/CONTRIBUTING.md) or 
email me at  amichay@sgeltd.com

## Contributors

Special thanks to the below individuals for their comments, reviews and suggestions:

- Shlomi Kushchi [shlomikushchi](https://github.com/shlomikushchi)
- Venkat Y [vinmestmant](https://github.com/vinmestmant)
- Chris [crowforc3](https://github.com/crawforc3)







